---
title: BluetoothRemoteGATTCharacteristic.value
slug: Web/API/BluetoothRemoteGATTCharacteristic/value
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - value
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.value</code></strong> read-only property returns currently cached characteristic value. This value gets updated when the value of the characteristic is read or updated via a notification or indication.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>value</em> = BluetoothRemoteGATTCharacteristic.value</pre>

<h3 id="Returns">Returns</h3>

<p>The currently cached characteristic value.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-value", "value")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.value")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
